package com.ruoyi.mall.mapper;

import java.util.List;

import com.ruoyi.mall.domain.MallRegion;
import org.apache.ibatis.annotations.Param;

/**
 * 省市区Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-15
 */
public interface MallRegionMapper
{
    /**
     * 查询省市区
     *
     * @param id 省市区主键
     * @return 省市区
     */
    public MallRegion selectMallRegionById(Integer id);

    /**
     * 查询省市区列表
     *
     * @param mallRegion 省市区
     * @return 省市区集合
     */
    public List<MallRegion> selectMallRegionList(MallRegion mallRegion);

    /**
     * 查询省市区列表
     *
     * @return 省市区集合
     */
    public List<MallRegion> selectList(@Param("pid") Integer pid);

    /**
     * 新增省市区
     *
     * @param mallRegion 省市区
     * @return 结果
     */
    public int insertMallRegion(MallRegion mallRegion);

    /**
     * 修改省市区
     *
     * @param mallRegion 省市区
     * @return 结果
     */
    public int updateMallRegion(MallRegion mallRegion);

    /**
     * 删除省市区
     *
     * @param id 省市区主键
     * @return 结果
     */
    public int deleteMallRegionById(Integer id);

    /**
     * 批量删除省市区
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallRegionByIds(Integer[] ids);

    /**
     * 根据上级id获取省市区列表（0-省级）
     *
     * @return 行政区域集合
     */
    public List<MallRegion> getRegionByPid(@Param("pid") Integer pid);

    /**
     * 根据id获取名称
     * @param id
     * @return
     */
    public String getRegionName(@Param("id")Long id);

    /**
     * 根据名称获取id
     * @param regionName
     * @return
     */
    public Integer getRegionIdByRegionName(@Param("regionName")String regionName, @Param("pid")Integer pid);
}
